Subject: Re: bug#56708: 29.0.50; [PATCH] Limit extreme shadow thickness on Lucid

From: Po Lu <[email-masked]>
Date: Sat, 23 Jul 2022 09:16:08 +0800

Manuel Giraud <[email-masked]> writes:

> Hi,
>
> Here is a patch for the Lucid backend.  Its goal is to limit the
> thickness of shadows on arrows, toggle buttons and radio buttons.
> Otherwise with a rather large value of the shadowThickness resource
> those three widgets are incorrectly displayed.

I would rather leave it up to the user to set Emacs.*.shadowThickness
correctly.  This "DWIM" behavior leads to very confusing behavior for
someone trying to set the resource, which is also why most other X
programs don't have any resources that behave this way.

Thanks, but I don't think this is right for Emacs.  Closing.